Bug 14634 - Warns when placing hold on record with no items
Summary: Warns when placing hold on record with no items
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-03 05:10 UTC by Aleisha Amohia
Modified: 2016-06-21 21:38 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14634: Warns when placing hold on record with no items (1005 bytes, patch)
2015-08-03 05:12 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14634: Warns when placing hold on record with no items (1.15 KB, patch)
2015-08-25 13:01 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14634: Warns when placing hold on record with no items (1.18 KB, patch)
2015-08-26 14:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2015-08-03 05:10:05 UTC
Use of uninitialized value $canReserve in string eq at /home/vagrant/kohaclone/reserve/request.pl line 204
Use of uninitialized value $canReserve in string eq at /home/vagrant/kohaclone/reserve/request.pl line 208
Use of uninitialized value $canReserve in string eq at /home/vagrant/kohaclone/reserve/request.pl line 211
Use of uninitialized value $canReserve in hash element at /home/vagrant/kohaclone/reserve/request.pl line 216
Comment 1 Aleisha Amohia 2015-08-03 05:12:49 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2015-08-25 13:01:44 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-08-26 14:09:32 UTC
Created attachment 41990 [details] [review]
Bug 14634: Warns when placing hold on record with no items

To test:

1) Create a new record in Cataloguing
2) When done, instead of adding an item to the record, click on the Holds tab in the left nav
3) Notice warns
4) Apply patch and refresh page
5) Click on Holds tab again
6) Notice warns are gone and page still works

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Warns disappear; note that the display of the error message is still ugly.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Tomás Cohen Arazi 2015-08-27 16:27:02 UTC
Patch pushed to master.

Thanks Aleisha!
Comment 5 Liz Rea 2015-09-21 23:25:14 UTC
Patch pushed to 3.18.x, will be in 3.18.11
Comment 6 Chris Cormack 2015-09-22 01:11:59 UTC
Pushed to 3.20.x will be in 3.20.4